## liblouisxml 2.4.0

=== debian/changelog ===
liblouisxml (2.4.0-5build1) xenial; urgency=medium

  * No-change rebuild for liblouis soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Jan 2016 16:27:33 +0100

liblouisxml (2.4.0-5) unstable; urgency=low

  * Bump Standards-Version to 3.9.5 (no changes).
  * Apply ubuntu changes: Use dh-autoreconf instead of autotools-dev to fix
    FTBFS on ppc64el. (Closes: Bug#733837)

 -- Samuel Thibault <sthibault@debian.org>  Fri, 03 Jan 2014 01:31:40 +0100

liblouisxml (2.4.0-4) unstable; urgency=low

  * Switch to quilt format.
  * patches: Include corrections.cti instead of corrections.ctb.
  * control: Make liblouisxml-data depend on recent version of liblouis-data
    accordingly.
  * control: Make liblouisxml-dev Multi-Arch: same.
  * Bump Standards-Version to 3.9.4 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 13 Jul 2013 19:36:04 +0200

liblouisxml (2.4.0-3) unstable; urgency=low

  * debian/liblouisxml-dev.install: Move pkg-config file to multiarch place.
  * debian/rules: Add build-indep and build-arch targets.
  * control:
    - Depend on hardening-check.
    - make liblouisxml-bin recommend rtf2xml.
  * rules: Set DEB_BUILD_HARDENING=1 to enable hardening.
  * control: Bump Standards-Version to 3.9.3 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 08 Jun 2012 22:57:12 +0200

liblouisxml (2.4.0-2) unstable; urgency=low

  * debian/rules: Set libdir to DEB_HOST_MULTIARCH.
  * debian/control: Make liblouisxml1 pre-depend on multiarch-support.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 05 Jun 2011 12:37:05 +0200

liblouisxml (2.4.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Set liblouisxml-data Multi-Arch: foreign.
    - Build-depend on dpkg-dev (>= 1.16).
    - Bump Standards-Version to 3.9.2.
    - Only suggest ooo2dbk instead of recommending it, as it's quite big.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 15 May 2011 19:34:06 +0200

liblouisxml (2.2.0-2) unstable; urgency=low

  * debian/control:
    - Make liblouisxml-bin Depend on poppler-utils for pdf2brl.
  * debian/copyright: Fix download URL.
  * debian/liblouisxml-bin.manpages: Remove debian/lbx_devonly.1, as we do not
    ship lbx_devonly any more.
  * debian/liblouisxml-bin.manpages: Use man/rtf2brl.1 instead of
    debian/rtf2brl.1.
  * debian/liblouis1.dir: Remove spurious file.
  * debian/watch: Replace googlecode URL with abilitiessoft.com URL.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 Aug 2010 21:27:52 +0200

liblouisxml (2.2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.1 (no change needed).
    - Build-Depend on liblouis-dev (>= 2.0.0) for louis.h.
  * debian/rules: Run chrpath after installation, as automake seems to be
    rebuilding gnulib on make install, leading to a re-link of tools.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 27 Jul 2010 02:45:24 +0200

liblouisxml (2.1.0-3) unstable; urgency=low

  * debian/control: Add help2man Build-Depend (closes: Bug#579495).

 -- Samuel Thibault <sthibault@debian.org>  Wed, 28 Apr 2010 17:46:42 +0200

liblouisxml (2.1.0-2) unstable; urgency=low

  * debian/liblouisxml-bin.manpages: Fix manpages paths.
  * debian/control: Bump Standards-Version to 3.8.4 (no change needed).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 28 Jan 2010 00:02:20 +0100

liblouisxml (2.1.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Drop duplicate Section: libs field.
  * debian/copyright: Fix copyright sign.
  * debian/lbx_devonly.1, rtf2brl.1: New manpages.
  * debian/liblouisxml-bin.manpages: Update manpages paths.
  * debian/rules:
    - Drop rpath from all libs and programs.
    - Automatically copy config.{sub,guess} autotools-dev.
  * debian/watch: Fix expression.
  * debian/liblouisxml-dev.doc-base: Add.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 13 Jan 2010 00:47:59 +0100

liblouisxml (2.0.0-2) unstable; urgency=low

  * debian/control: Add texinfo build-depend.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 23 Aug 2009 01:49:43 +0200

liblouisxml (2.0.0-1) unstable; urgency=low

  * New upstream release.
  * rules: Install libraries to /usr/lib/$(DEB_HOST_GNU_TYPE), but not the
    pkgconfig file.
  * debian/control:
    - Add Multi-Arch: foreign to liblouisxml-bin, same to liblouisxml1.
    - Bump Standards-Version to 3.8.3 (no change needed).
    - Add ${misc:Depends} to liblouisxml-dev, liblouisxml-bin, liblouisxml1,
    liblouisxml-data.
    - Add chrpath build-dependency.
  * debian/liblouisxml-dev.install: so not install liblouisxml.la.
  * debian/rules: Use chrpath to remove bogus /usr/lib rpath from libtool...

 -- Samuel Thibault <sthibault@debian.org>  Sat, 22 Aug 2009 15:54:32 +0200

liblouisxml (1.9.1-3) unstable; urgency=low

  * debian/control:
    - Change my email, remove DM-Upload-Allowed, add Vcs-Git and Vcs-Browser.
    - Bump Standards-Version to 3.8.2 (no change needed).

 -- Samuel Thibault <sthibault@debian.org>  Wed, 29 Jul 2009 01:51:33 +0200

liblouisxml (1.9.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * Bump Standards-Version to 3.8.1, no changes needed.
  * Set CFLAGS to -O2 unless noopt is given in DEB_BUILD_OPTIONS.
  * Build liblouisxml-data in binary-indep instead of binary-arch.

 -- Samuel Thibault <samuel.thibault@ens-lyon.org>  Wed, 22 Apr 2009 00:00:00 +0200

liblouisxml (1.9.0-1) unstable; urgency=low

  * Initial release (Closes: #513633).

 -- Samuel Thibault <samuel.thibault@ens-lyon.org>  Sat, 07 Mar 2009 23:03:22 +0100
