=== debian/control ===
Source: liblouisxml
Priority: extra
Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 7), dh-autoreconf, pkg-config, liblouis-dev (>= 2.0.0), libxml2-dev, texinfo, chrpath, help2man, dpkg-dev (>= 1.16), hardening-wrapper
Standards-Version: 3.9.5
Section: libs
Vcs-Git: git://git.debian.org/git/pkg-a11y/liblouisxml
Vcs-Browser: http://git.debian.org/?p=pkg-a11y/liblouisxml.git
Homepage: http://code.google.com/p/liblouisxml/

Package: liblouisxml-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, liblouisxml1 (= ${binary:Version})
Description: Braille XML translation library - static libs and headers
 Liblouisxml translates files in the computer lingua franca xml format
 into properly transcribed braille. This includes translation into grade
 two, if desired, mathematical codes, etc. It also includes formatting
 according to a built-in style sheet which can be modified by the user.
 .
 This package contains static libraries and development headers.

Package: liblouisxml1
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}, liblouisxml-data
Description: Braille XML translation library - shared libs
 Liblouisxml translates files in the computer lingua franca xml format
 into properly transcribed braille. This includes translation into grade
 two, if desired, mathematical codes, etc. It also includes formatting
 according to a built-in style sheet which can be modified by the user.
 .
 This package contains shared libraries.

Package: liblouisxml-data
Section: text
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, liblouis-data (>= 2.5.3~)
Description: Braille XML translation library - data
 Liblouisxml translates files in the computer lingua franca xml format
 into properly transcribed braille. This includes translation into grade
 two, if desired, mathematical codes, etc. It also includes formatting
 according to a built-in style sheet which can be modified by the user.
 .
 This package contains runtime data.

Package: liblouisxml-bin
Section: text
Multi-Arch: foreign
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, antiword, poppler-utils
Suggests: ooo2dbk
Recommends: rtf2xml
Description: Braille XML translation utilities
 Liblouisxml translates files in the computer lingua franca xml format
 into properly transcribed braille. This includes translation into grade
 two, if desired, mathematical codes, etc. It also includes formatting
 according to a built-in style sheet which can be modified by the user.
 .
 This package contains xml2brl which translates an xml or text file into an
 embosser-ready braille file, and msword2brl which translates an ms-word file
 into an embosser-ready braille file.
 .
 In combination with ooo2dbk, it can also translate OpenOffice.org 1 documents.
