=== debian/watch ===
version=3
http://www.abilitiessoft.com/downloads.html liblouisxml-(.*)\.tar\.gz
